<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="indexpage" kind="group">
    <compoundname>index</compoundname>
    <title>RGB LED</title>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para><bold>Overview</bold>
</para><para>Provides functions for controlling an RGB LED. This library implements color mixing and brightness control using the PWM blocks.</para><para><itemizedlist>
<listitem><para>The <ref kindref="member" refid="group__group__board__libs_1ga75990776115641712b8535fc1002d2ba">cy_rgb_led_init()</ref> function accepts the active logic (high or low) of the RGB LED as a parameter. All three (red, green, and blue) LEDs must be connected in same configuration, either active high or active low.</para></listitem><listitem><para>The <ref kindref="member" refid="group__group__board__libs_1ga75990776115641712b8535fc1002d2ba">cy_rgb_led_init()</ref> function registers a low power handler that prevents the device from entering low power (deep-sleep) mode when the RGB LED is ON. You need to call <ref kindref="member" refid="group__group__board__libs_1gaedaf9c7d163447146ef1ba6fa93d20e4">cy_rgb_led_off()</ref> to turn the LED OFF before entering low power mode.</para></listitem></itemizedlist>
</para><para><bold>Quick Start</bold>
</para><para><orderedlist>
<listitem><para>Add #include "cy_rgb_led.h"</para></listitem><listitem><para>Add the following code to the main() function. This example initializes the RGB LED and produces a yellow color with maximum brightness.</para><para>CYBSP_LED_RGB_RED, CYBSP_LED_RGB_GREEN, and CYBSP_LED_RGB_BLUE are defined in the BSP.</para></listitem></orderedlist>
</para><para><programlisting filename=".cpp"><codeline><highlight class="normal">cy_rslt_t<sp />result;</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal">result<sp />=<sp />cybsp_init();</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="keywordflow">if</highlight><highlight class="normal">(result<sp />==<sp />CY_RSLT_SUCCESS)<sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />result<sp />=<sp /><ref kindref="member" refid="group__group__board__libs_1ga75990776115641712b8535fc1002d2ba">cy_rgb_led_init</ref>(CYBSP_LED_RGB_RED,<sp />CYBSP_LED_RGB_GREEN,<sp />CYBSP_LED_RGB_BLUE,<sp /><ref kindref="member" refid="group__group__board__libs_1gaaae1e2ea0be32d9768af86c36c38844d">CY_RGB_LED_ACTIVE_LOW</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs_1gaf355e51e75c75ab794de431115fb964c">cy_rgb_led_on</ref>(<ref kindref="member" refid="group__group__board__libs_1ga2a72f579397009fe7b5278cf3b987833">CY_RGB_LED_COLOR_YELLOW</ref>,<sp /><ref kindref="member" refid="group__group__board__libs_1ga0a950307707e911bb5aef6712dd4aceb">CY_RGB_LED_MAX_BRIGHTNESS</ref>);</highlight></codeline>
<codeline><highlight class="normal">}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="keywordflow">for</highlight><highlight class="normal">(;;)<sp />{</highlight></codeline>
<codeline><highlight class="normal">}</highlight></codeline>
</programlisting></para><para><bold>More information</bold>
</para><para><itemizedlist>
<listitem><para><ulink url="https://cypresssemiconductorco.github.io/rgb-led/html/index.html">API Reference Guide</ulink></para></listitem><listitem><para><ulink url="http://www.cypress.com">Cypress Semiconductor, an Infineon Technologies Company</ulink></para></listitem><listitem><para><ulink url="https://github.com/cypresssemiconductorco">Cypress Semiconductor GitHub</ulink></para></listitem><listitem><para><ulink url="https://www.cypress.com/products/modustoolbox-software-environment">ModusToolbox</ulink></para></listitem><listitem><para><ulink url="https://github.com/cypresssemiconductorco/Code-Examples-for-ModusToolbox-Software">PSoC 6 Code Examples using ModusToolbox IDE</ulink></para></listitem><listitem><para><ulink url="https://github.com/cypresssemiconductorco/psoc6-middleware">PSoC 6 Middleware</ulink></para></listitem><listitem><para><ulink url="https://community.cypress.com/docs/DOC-14644">PSoC 6 Resources - KBA223067</ulink> <hruler />
 © Cypress Semiconductor Corporation, 2019-2020. </para></listitem></itemizedlist>
</para>    </detaileddescription>
  </compounddef>
</doxygen>